read_mar_test <- function() {
# 4ti2 のマルコフ基底の出力 test.mar から読み出し
m <- scan("test.mar")
vsize <- m[2]  # マルコフ基底の各元のベクトルとしてのサイズ
mar <- matrix(m[3:length(m)], nrow = vsize) # m[1],m[2] は読み飛ばし
mar <- t(mar)  # mar の転置行列                           
# mar の各行 mar[1,], mar[2,] ... がマルコフ基底の各元
}

read_mar <- function(filename) {
	# 4ti2 のマルコフ基底の出力 test.mar から読み出し
	m <- scan(filename)
	vsize <- m[2]  # マルコフ基底の各元のベクトルとしてのサイズ
	mar <- matrix(m[3:length(m)], nrow = vsize) # m[1],m[2] は読み飛ばし
	mar <- t(mar)  # mar の転置行列                           
	# mar の各行 mar[1,], mar[2,] ... がマルコフ基底の各元
	return(mar)	
}
